package com.gx.obe.management.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.management.composite.SubPackageListComposite;

/**
 * @Description: 分包列表
 * @author guoyr
 */
public class SubPackageLoadAction extends Action{

	@Override
	public void run() {
		ActionListener listener = this.getListener();
		listener.onLoad(this);
		Composite parent = listener.getParentComposite();
		SubPackageListComposite composite = new SubPackageListComposite(parent, this, SWT.NONE);
		// 设置顶级的事件监听
		composite.addTopActionListener((ActionListener)this.getData("topActionListener"));
		listener.loadComposite(this, composite);
	}

}
